Error
A valid request URL is required to generate request examples{
"tasks": {
"enabled": true
},
"metrics": {
"max_range": "<string>"
},
"logs_forwarding": {
"max_extra_payload_size": 123
},
"guaranteed_resources": {
"enabled": true,
"instance_limit": 123
},
"images": {},
"instance_limit": 123,
"build_resources": {
"enabled": true,
"max_cpu": 123,
"max_memory": 123
},
"object_storage": {
"enabled": true,
"min_storage": 123,
"max_storage": 123,
"storage_step": 123,
"cpu_per_step": 123,
"memory_per_step": 123,
"max_cpu": 123,
"max_memory": 123
},
"data_retention": {
"enabled": true
},
"autoscaling": {
"enabled": true,
"supports_horizontal_scaling_services": true
},
"custom_domains": {
"enabled": true,
"environments_with_domains_limit": 123
},
"source_operations": {
"enabled": true
},
"runtime_operations": {
"enabled": true
},
"outbound_firewall": {
"enabled": true
},
"egress_proxy": {
"enabled": true
},
"integrations": {
"enabled": true,
"config": {
"newrelic": {
"enabled": true,
"role": "<string>"
},
"sumologic": {
"enabled": true,
"role": "<string>"
},
"splunk": {
"enabled": true,
"role": "<string>"
},
"httplog": {
"enabled": true,
"role": "<string>"
},
"syslog": {
"enabled": true,
"role": "<string>"
},
"webhook": {
"enabled": true,
"role": "<string>"
},
"script": {
"enabled": true,
"role": "<string>"
},
"github": {
"enabled": true,
"role": "<string>"
},
"gitlab": {
"enabled": true,
"role": "<string>"
},
"bitbucket": {
"enabled": true,
"role": "<string>"
},
"bitbucket_server": {
"enabled": true,
"role": "<string>"
},
"health.email": {
"enabled": true,
"role": "<string>"
},
"health.webhook": {
"enabled": true,
"role": "<string>"
},
"health.pagerduty": {
"enabled": true,
"role": "<string>"
},
"health.slack": {
"enabled": true,
"role": "<string>"
},
"cdn.fastly": {
"enabled": true,
"role": "<string>"
},
"blackfire": {
"enabled": true,
"role": "<string>"
},
"otlplog": {
"enabled": true,
"role": "<string>"
}
},
"allowed_integrations": [
"<string>"
]
}
}Project
Get a project's capabilities
Get a list of capabilities on a project, as defined by the billing system. For instance, one special capability that could be defined on a project is large development environments.
GET
/
projects
/
{projectId}
/
capabilities
Get a project's capabilities
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": {
"enabled": true
},
"metrics": {
"max_range": "<string>"
},
"logs_forwarding": {
"max_extra_payload_size": 123
},
"guaranteed_resources": {
"enabled": true,
"instance_limit": 123
},
"images": {},
"instance_limit": 123,
"build_resources": {
"enabled": true,
"max_cpu": 123,
"max_memory": 123
},
"object_storage": {
"enabled": true,
"min_storage": 123,
"max_storage": 123,
"storage_step": 123,
"cpu_per_step": 123,
"memory_per_step": 123,
"max_cpu": 123,
"max_memory": 123
},
"data_retention": {
"enabled": true
},
"autoscaling": {
"enabled": true,
"supports_horizontal_scaling_services": true
},
"custom_domains": {
"enabled": true,
"environments_with_domains_limit": 123
},
"source_operations": {
"enabled": true
},
"runtime_operations": {
"enabled": true
},
"outbound_firewall": {
"enabled": true
},
"egress_proxy": {
"enabled": true
},
"integrations": {
"enabled": true,
"config": {
"newrelic": {
"enabled": true,
"role": "<string>"
},
"sumologic": {
"enabled": true,
"role": "<string>"
},
"splunk": {
"enabled": true,
"role": "<string>"
},
"httplog": {
"enabled": true,
"role": "<string>"
},
"syslog": {
"enabled": true,
"role": "<string>"
},
"webhook": {
"enabled": true,
"role": "<string>"
},
"script": {
"enabled": true,
"role": "<string>"
},
"github": {
"enabled": true,
"role": "<string>"
},
"gitlab": {
"enabled": true,
"role": "<string>"
},
"bitbucket": {
"enabled": true,
"role": "<string>"
},
"bitbucket_server": {
"enabled": true,
"role": "<string>"
},
"health.email": {
"enabled": true,
"role": "<string>"
},
"health.webhook": {
"enabled": true,
"role": "<string>"
},
"health.pagerduty": {
"enabled": true,
"role": "<string>"
},
"health.slack": {
"enabled": true,
"role": "<string>"
},
"cdn.fastly": {
"enabled": true,
"role": "<string>"
},
"blackfire": {
"enabled": true,
"role": "<string>"
},
"otlplog": {
"enabled": true,
"role": "<string>"
}
},
"allowed_integrations": [
"<string>"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
default - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum number of instance per service
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?
⌘I